org.apache.lucene.benchmark.byTask.stats

## Class Report

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.stats.Report

-     public class Report
      extends Object

  Textual report of current statistics.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Report(String text, int size, int reported, int outOf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOutOf()` Returns total number of stats points when this report was created.
    `int` | `getReported()` Returns number of stats points represented in this report.
    `int` | `getSize()` Returns number of lines in the report.
    `String` | `getText()` Returns the report text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Report

          public Report(String text,
                int size,
                int reported,
                int outOf)

  - ### Method Detail

    - #### getOutOf

          public int getOutOf()

      Returns total number of stats points when this report was created.

    - #### getSize

          public int getSize()

      Returns number of lines in the report.

    - #### getText

          public String getText()

      Returns the report text.

    - #### getReported

          public int getReported()

      Returns number of stats points represented in this report.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.